Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore Personalize
Data privacy
Before you start sending data
Integrating with Sitecore Personalize
Stream API
Personalize API Flow execution
REST APIs
  • Sitecore Personalize for developers
  • REST APIs
  • Connection REST API
  • Create a connection

Create a connection

POST /v2/connections

Creates a connection.

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

name

string

The name of the connection.

"Connect to Data System"

auth

array of objects

An array of authentication attributes to connect to the service.

"mys3cr3tstr1ingforauth1!x"

request

array of strings

An array of request attributes to connect to the service.

"mys3cr3tstr1ingforauth1!x"

systemType

string

The type of system you are connecting.

"DATA_SYSTEM"

In the response, the ref key contains the connection reference.

You use the connection reference to interact with the individual connection, for example, to retrieve or update it.

RequestResponse
curl -X POST '<baseURL>/v2/connections' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "name": "Connect to Data System",
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM"
}'
RequestResponse
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/connections/91fd83dc-3026-4854-9dc2-9bd9e72f8b34",
    "ref": "91fd83dc-3026-4854-9dc2-9bd9e72f8b34",
    "name": "Connect to Data System",
    "modifiedByRef": "73fadb31-d0de-4ca8-848d-cef57ad78845",
    "modifiedAt": "2025-12-14T08:52:11.969Z",
    "archived": false,
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM",
    "connectionTimeout": 1000,
    "socketTimeout": 1000,
    "icon": "assets/images/icons/connections/plug.svg"
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore